<?php
/* 
 * Stellt die Funktionen zur Lizenzprfung bereit.
 */
/*
 * licence.check.php
*/

if(!function_exists('agws_checklicence_v3'))
{ //Nur Wenn Funktionen nicht bereits registriert durch anderes AGWS-Plugin	
	function agws_checklicence_v3($oPlugin, $agws_CheckURL, $agws_PluginID = '0', $agws_PluginVersion = '0', $agws_ShopURL = '0',$agws_debug_syslog = 0)
	{
		require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';

		$helper = agwsPluginHelperAll::getInstance($oPlugin);

		$agws_check_session_var = 'agws_check_session_var_'.$agws_PluginID ;
		$agws_check_session_val =  md5($agws_PluginID .'valid');
		
		//Pruefe ob Tabelle xplugin_agws_licence_log existiert
		//$sql = "SELECT 1 FROM `xplugin_agws_licence_log`";
		$table_schema = DB_NAME;
		$table_name = 'xplugin_agws_licence_log';
		$sql = "SELECT COUNT(*) AS count FROM information_schema.tables WHERE table_schema = '$table_schema' AND table_name = '$table_name'";

		($helper->isShop4()) ?
				$agws_licence_log_tblcheck = Shop::DB()->query($sql, 1):
				$agws_licence_log_tblcheck = $GLOBALS['DB']->executeQuery($sql, 1);

		if ($agws_licence_log_tblcheck->count == 0) 
		{
			if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Tabelle xplugin_agws_licence_log wurde neu angelegt', JTLLOG_LEVEL_DEBUG);

			$sql = "CREATE TABLE `xplugin_agws_licence_log` (`cPluginID` VARCHAR(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL, `cPluginTime` VARCHAR(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL, `cPluginResult` VARCHAR(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL, PRIMARY KEY (`cPluginID`)) ENGINE = MyISAM;";
			($helper->isShop4()) ?
					Shop::DB()->query($sql, 10):
					$GLOBALS['DB']->executeQuery($sql, 10);
		}
		
		//Pruefe ob Log-Eintrag fr PluginID vorhanden
		$sql = "SELECT * FROM `xplugin_agws_licence_log` WHERE `cPluginID` = '$agws_PluginID' LIMIT 1";
		($helper->isShop4()) ?
				$agws_licence_log_plugincheck_arr = Shop::DB()->query($sql, 8):
				$agws_licence_log_plugincheck_arr = $GLOBALS['DB']->executeQuery($sql, 8);

		if (count($agws_licence_log_plugincheck_arr) == 3)
		{
			if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Plugin-licence-check in Tabelle vorhanden.', JTLLOG_LEVEL_DEBUG);

			$agws_lastresult = $agws_licence_log_plugincheck_arr['cPluginResult'];
			$agws_lastcheck = $agws_licence_log_plugincheck_arr['cPluginTime'];
			
			if($agws_lastresult == md5($agws_PluginID.'valid') || $agws_lastresult == md5($agws_PluginID.'validfree'))
			{
				if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Letzte Pr&uuml;fung positiv.', JTLLOG_LEVEL_DEBUG);

				$agws_time_dir = time();
			}else{
				if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Letzte Pr&uuml;fung negativ oder unklar.', JTLLOG_LEVEL_DEBUG);

				$agws_time_dir = time();
			}
		} else {
			if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - licence-check in DB nicht vorhanden. Erstelle dummy-Eintrag.', JTLLOG_LEVEL_DEBUG);

			$sql = "INSERT INTO `xplugin_agws_licence_log` (`cPluginID`, `cPluginTime`, `cPluginResult`) VALUES ('$agws_PluginID', '0', '0')";
			($helper->isShop4()) ?
					Shop::DB()->query($sql, 10):
					$GLOBALS['DB']->executeQuery($sql, 10);
		}

		$sql = "SELECT * FROM `xplugin_agws_licence_log` WHERE `cPluginID` = '$agws_PluginID' LIMIT 1";
		($helper->isShop4()) ?
				$agws_licence_log_plugincheck_arr = Shop::DB()->query($sql, 8):
				$agws_licence_log_plugincheck_arr = $GLOBALS['DB']->executeQuery($sql, 8);
		$agws_lastresult = $agws_licence_log_plugincheck_arr['cPluginResult'];
		$agws_lastcheck = $agws_licence_log_plugincheck_arr['cPluginTime'];

		 //Anlegen der notwendigen Timestamps
		 $agws_time_week = time() - 604800;
		 $agws_time_2weeks = time() - 1209600;
		 
		 if($agws_lastcheck < $agws_time_2weeks || $agws_lastcheck > $agws_time_week || $agws_lastcheck > time())
		 { //Pr&uuml;fung durchf&uuml;hren
		 	if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Timestamp ausserhalb des erlaubten Bereichs. F&uuml;hre Lizenzpr&uuml;fung durch.', JTLLOG_LEVEL_DEBUG);
		
			//Variablen soweit notwendig maskieren und bearbeiten
			$agws_ShopURL = str_replace('http://', '', $agws_ShopURL);
			$agws_ShopURL = str_replace('https://', '', $agws_ShopURL);
			$agws_ShopURL = str_replace('www.', '', $agws_ShopURL);
			
			if(substr($agws_ShopURL, -1) == "/") $agws_ShopURL = substr($agws_ShopURL, 0, -1);
			
			$agws_ShopURL = urlencode($agws_ShopURL);
			
			$agws_completeURL = $agws_CheckURL.'index.php?Request=LicenceCheck&cPluginID='.$agws_PluginID.'&cPluginVersion='.$agws_PluginVersion.'&cShopURL='.$agws_ShopURL;
			if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Rufe '.$agws_completeURL.' &uuml;ber shopinterne cURL-Funktion http_get_contents auf.', JTLLOG_LEVEL_DEBUG);

			//Rufe shopinterne cURL-Funktion auf um Abfrage durchzufhren
			
			if(function_exists('http_get_contents'))
			{
				$agws_Request = http_get_contents($agws_completeURL);
			} else
			{
				if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Funktion http_get_contents nicht vorhanden.', JTLLOG_LEVEL_DEBUG);
			}
			
			
			//Verarbeite Rckmeldung
			if($agws_Request == "valid" || $agws_Request == "validfree")
			{
				if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Lizenzpr&uuml;fung erfolgreich.', JTLLOG_LEVEL_DEBUG);
				$_SESSION[$agws_check_session_var] = $agws_check_session_val;
				$agws_timestamp = $agws_time_week;
			}elseif($agws_Request == "invalid")
			{
				if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Lizenzpr&uuml;fung ung&uuml;ltig. Deaktiviere Plugin.', JTLLOG_LEVEL_ERROR);
				$agws_timestamp = time();
				$agws_Request = false;
			}else
			{
				if ($agws_debug_syslog== 1) Jtllog::writeLog($agws_PluginID.' - Ergebnis der Lizenzpr&uuml;fung unklar.', JTLLOG_LEVEL_NOTICE);
				
				$agws_empfaenger = 'licence@ag-websolutions.de';
				$agws_betreff = 'Lizenzverwaltung: Pruefung liefert kein eindeutiges Ergebnis ('.$agws_ShopURL.')';
				$agws_nachricht = 'Die Lizenzpruefung fuer '.$agws_PluginID.' im Shop '.$agws_ShopURL.' liefert kein eindeutiges Ergebnis: ('.$agws_Request.').';
				$agws_header = 'From: licence@ag-websolutions.de' . "\r\n" .
					'Reply-To: licence@ag-websolutions.de' . "\r\n" .
					'X-Mailer: PHP/' . phpversion();
				mail($agws_empfaenger, $agws_betreff, $agws_nachricht, $agws_header);
					
				$agws_Request = 'valid';
				$agws_timestamp = $agws_time_week;
			}
			
			//Speichern des Resultats
			$agws_result = md5($agws_PluginID.$agws_Request);
			$sql = "UPDATE `xplugin_agws_licence_log` SET `cPluginTime` = '$agws_timestamp', `cPluginResult` = '$agws_result' WHERE `xplugin_agws_licence_log`.`cPluginID` = '$agws_PluginID'";
			 ($helper->isShop4()) ?
					 Shop::DB()->query($sql, 10):
					 $GLOBALS['DB']->executeQuery($sql, 10);
		 	
		 	if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Datensatz wurde aktualisiert', JTLLOG_LEVEL_DEBUG);
			
			return $agws_Request;
			
		 }else
		 { //Keine Pr&uuml;fung notwendig
		 	if ($agws_debug_syslog == 1) Jtllog::writeLog($agws_PluginID.' - Timestamps g&uuml;ltig. Im Augenblick keine Lizenzpr&uuml;fung notwendig.', JTLLOG_LEVEL_DEBUG);
			$_SESSION[$agws_check_session_var] = $agws_check_session_val;
			if($agws_lastresult == md5($agws_PluginID.'valid'))
			{
				return "valid";
			}elseif($agws_lastresult == md5($agws_PluginID.'validfree'))
			{
				return "validfree";
			}
		 }		

	}
}